//Sidebar

.rb-sidebar {
  background-color: $nlbWhiteColor;

  .bb-navigation {
    li {
      a {
        display: flex;
        align-items: center;
        //height: $navigation-item-height;  // refactor  commented line
        height: 30px; // $layout-navigation-item-height; // refactor new
        //padding-left: $small-padding-height;
      }

      a:focus {
        background-color: $nlbWhiteColor;
      }

      &.active {
        background-color: $nlbWhiteColor;
        color: $nlbIndigoColor;
      }

      &.active {
        a {
          color: $nlbIndigoColor;
        }
      }
    }

    li.bb-universal-nav-header,
    span.bb-universal-nav-item-title {
      //@include animation(opacity, $animation-sidebar-duration);
      opacity: 0;
    }

    li.bb-universal-nav-divider {
      height: 1px;
      //margin-top: $large-margin-height;
      //background-color: color("info");
    }
  }

  .bb-universal-nav {
    margin-top: 1.5rem;

    &-item {
      &-menu-icon {
        @extend .d-inline-block;

        font-size: $sidebar-icon-size;
        margin-right: 18px;
        max-width: 20px;
      }

      &-title {
        line-height: 20px;
      }
    }

    &-divider,
    &-header {
      border: none;
    }
  }
}

//Navigation Container
/**
 * --------------------------------------------------------------------------
 * Banking navigation layout specific customizations
 * --------------------------------------------------------------------------
 *
 * @name navigation
 * @description This item contains customization related to container-navigation templates. Mostly shadows and spacing.
 * @example
 *  <div class="page-container bp-NavigationContainer">
 *  <!-- top navbar -->
 *    <div class="navbar navbar-default navbar-static-top rb-navbar-top" role="navigation">
 *      <div class="container-fluid">
 *        <div class="navbar-header rb-navbar-top-item">
 *          <div class="navbar-brand">Logo</div>
 *        </div>
 *        <div class="nav navbar-nav navbar-right rb-navbar-top-item rb-notifications-area hidden-xs no-margin">User menu</div>
 *      </div>
 *    </div>
 *    <div class="row rb-content-row">
 *      <div class="rb-sidebar">
 *        <ul class="nav">
 *         <li><a>Action 1</a></li>
 *         <li><a>Action 2</a></li>
 *         <li><a>Action 3</a></li>
 *        </ul>
 *      </div>
 *      <div class="rb-content"> Some content</div>
 *    </div>
 *  </div>
 */

.pageContainer,
.bp-NavigationContainer {
  @include size(100%, 100%);
}

.rb-row-content {
  width: 100%;
  height: calc(100% - #{$navbar-top-height});
}

/* padding clearance for cxp design mode */
body:hover .rb-content .bp-container.bp-manageableArea {
  &,
  &:hover {
    padding: 0;
  }
}

.page-container .sticky-top-outline {
  margin-top: $navbar-top-height;
}

.rb-row-content {
  position: absolute;
}

.rb-navbar-top {
  height: $navbar-top-height;
  box-shadow: $navbar-box-shadow;

  &-item {
    position: relative;
    top: $navbar-top-height / 2;
    transform: translateY(-50%);
  }
}
$default-border: 1px solid black;

.rb-sidebar {
  border-right: $default-border;
  border-right-color: transparent;
  padding: $navbar-top-height 0 0 0;
  position: fixed;
  height: 100%;
  width: $navbar-side-width;
  z-index: 1;
  top: 0;
  bottom: 0;
  overflow-y: auto;

  //Animate - Sliding
  //transition: mdc-animation-enter(width, $animation-sidebar-duration), mdc-animation-enter(transform, $animation-sidebar-duration);

  .bb-universal-nav {
    padding: 0;

    .bp-g-model {
      width: 100%;
    }

    &-header {
      height: $navigation-header-height;
      line-height: $navigation-header-height;
      margin: $navigation-header-vertical-margin 0;
      padding: 0 $navigation-header-horizontal-padding;
      color: $navigation-header-color;
      text-transform: uppercase;
      font-weight: $headings-font-weight;
      font-size: $navigation-header-font-size;
    }

    &-item {
      &-menu-icon {
        @extend .d-none;
      }
    }
  }
}

.main {
  //@include animation(padding, $animation-sidebar-duration);

  top: $navbar-top-height;
  padding-top: 0;
  padding-left: $sidebar-width + $gutter;

  .sticky-top-outline & {
    top: 0;
  }
}

.rb-content {
  padding-left: $navigation-main-content-padding-left;
  padding-right: $navigation-main-content-padding-right;
  overflow-x: hidden;
}

.rb-row-content {
  margin-left: 0;
  margin-right: 0;
}

/* the common rule for widgets isn't applicable for the navigation areas */
.bb-navigation .bp-widget-body,
.rb-sidebar .bp-widget-body {
  min-width: inherit;
}

// Medium -- show compact mini sidebar /w icons-only on 'md' (and below)
@include media-breakpoint-up(md) {
  //do not apply breakpoint to soy version of sidebar
  .rb-content:not(.soy-template) {
    padding-left: $navbar-side-width + $navigation-main-content-padding-left;
  }
}

@include media-breakpoint-down(sm) {
  .page-container .rb-sidebar {
    display: none;
    left: 0;
    position: fixed;
    top: $navbar-top-height;
  }

  .rb-row-content-left.active .rb-sidebar {
    display: block;
  }
}

/**
 ** Styles for WA3 Layout Container
 **/
$page-layout-fixed-content-max-width: 945px !default;
.top-side-navigation-layout {
  &.fixed {
    .rb-content {
      padding-left: $sidebar-width;
      max-width: $page-layout-fixed-content-max-width + $sidebar-width + $navigation-main-content-padding-left;
    }

    &.hideSidebar {
      .rb-sidebar {
        width: 0;
      }

      .rb-content {
        padding-left: 0;
        max-width: $page-layout-fixed-content-max-width + $navigation-main-content-padding-left;
      }
    }
  }

  &.hideSidebar {
    .rb-sidebar {
      width: 0;
    }

    .rb-content {
      padding-left: $navigation-main-content-padding-left;
    }
  }

  .rb-content {
    padding-left: $sidebar-width + $navigation-main-content-padding-left;
  }
}

// Large
// Large -- show full sidebar /w full labels
@include media-breakpoint-up(lg) {
  .rb-sidebar {
    @include toggle-sidebar-labels(true);
  }
  .main {
    padding-left: $sidebar-width + $gutter;
  }

  // this class is only applicable for large screens
  .small-sidebar {
    @include small-sidebar();
  }
}

@include media-breakpoint-down(md) {
  @include small-sidebar();
  .top-side-navigation-layout {
    &.fixed {
      .rb-content {
        max-width: $page-layout-fixed-content-max-width + $sidebar-collapsed-width +
          $navigation-main-content-padding-left;
        padding-left: $sidebar-collapsed-width + $navigation-main-content-padding-left;
      }

      &.hideSidebar {
        .rb-content {
          padding-left: $navigation-main-content-padding-left;
        }
      }
    }

    .rb-content {
      padding-left: $sidebar-collapsed-width + $navigation-main-content-padding-left;
    }
  }
}

// Small -- hides the sidebar completely on 'sm' (and below)
@include media-breakpoint-down(sm) {
  .rb-sidebar {
    transform: translateX(-$sidebar-collapsed-width);
  }
  .main {
    &,
    &:not(.soy-template) {
      padding-left: $gutter;
    }
  }
  .top-side-navigation-layout {
    &.fixed {
      .rb-content {
        padding-left: $navigation-main-content-padding-left;
        max-width: $page-layout-fixed-content-max-width + $navigation-main-content-padding-left;
      }

      &.hideSidebar {
        .rb-content {
          padding-left: $navigation-main-content-padding-left;
        }
      }
    }

    .rb-content {
      padding-left: $navigation-main-content-padding-left;
    }
  }

  .bb-universal-nav-item-menu-icon {
    margin-right: 18px;
  }
}

//WC3
